Package com.pixelmed.database

# Class DatabaseMediaImporter

java.lang.Object
com.pixelmed.dicom.MediaImporter
com.pixelmed.database.DatabaseMediaImporter

Direct Known Subclasses:
  `DicomImageViewer.OurDatabaseMediaImporter`

public class DatabaseMediaImporter extends MediaImporter

## Nested Class Summary

## Nested classes/interfaces inherited from class com.pixelmed.dicom.MediaImporter

`MediaImporter.MediaImporterWithFileChooserDialogThread, MediaImporter.OurReadTerminationStrategy`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected DatabaseInformationModel`
`databaseInformationModel`
`protected File`
`savedInstancesFolder`
`protected StoredFilePathStrategy`
`storedFilePathStrategy`

### Fields inherited from class com.pixelmed.dicom.MediaImporter

`logger, mediaDirectoryPath, progressBar, progressBarUpdater, terminateAfterIdentifyingGroup`

## Constructor Summary

Constructors
Constructor
Description
`DatabaseMediaImporter(String mediaDirectoryPath, File savedInstancesFolder, DatabaseInformationModel databaseInformationModel, MessageLogger logger)`
`DatabaseMediaImporter(String mediaDirectoryPath, File savedInstancesFolder, StoredFilePathStrategy storedFilePathStrategy, DatabaseInformationModel databaseInformationModel, MessageLogger logger)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doSomethingWithDicomFileOnMedia(String mediaFileName)`
Makes a copy of the DICOM file in the temporary folder, reads the DICOM attributes to extract the necessary information and inserts a reference to the copied file in the database.

### Methods inherited from class com.pixelmed.dicom.MediaImporter

`choosePathAndImportDicomFiles, choosePathAndImportDicomFiles, doSomethingWithDicomFileOnMedia, doSomethingWithUnwantedFileOnMedia, getDirectory, importDicomFiles, isOKToImport, logLn, main`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### savedInstancesFolder

protected File savedInstancesFolder

### databaseInformationModel

protected DatabaseInformationModel databaseInformationModel

### storedFilePathStrategy

protected StoredFilePathStrategy storedFilePathStrategy

## Constructor Details

### DatabaseMediaImporter

public DatabaseMediaImporter(String mediaDirectoryPath, File savedInstancesFolder, DatabaseInformationModel databaseInformationModel, MessageLogger logger)

### DatabaseMediaImporter

public DatabaseMediaImporter(String mediaDirectoryPath, File savedInstancesFolder, StoredFilePathStrategy storedFilePathStrategy, DatabaseInformationModel databaseInformationModel, MessageLogger logger)

## Method Details

### doSomethingWithDicomFileOnMedia

protected void doSomethingWithDicomFileOnMedia(String mediaFileName)

Makes a copy of the DICOM file in the temporary folder, reads the DICOM attributes to extract the necessary information and inserts a reference to the copied file in the database.

If any errors are encountered during this process, the exceptions are caught, logged to stderr, and no further action is taken. Copying is not performed until after the DICOM attributes are successfully extracted, but orphan temporary copies could exist if the database insertion fails.

Overrides:
  `doSomethingWithDicomFileOnMedia` in class `MediaImporter`
Parameters:
  `mediaFileName` - the fully qualified path name to a DICOM file